package com.ruoyi.storageLocation.mapper;

import com.ruoyi.storageLocation.domain.StorageLocation;
import com.ruoyi.storageLocation.domain.StorageSelected;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 库位管理Mapper接口
 *
 * @author ruoyi
 * @date 2024-02-28
 */
public interface StorageLocationMapper
{

    /**
     * 获取库位信息
     * @param storageLocation
     * @return
     */
    List<StorageLocation> selectStorageLocationAList(StorageLocation storageLocation);
    List<StorageLocation> selectStorageLocationBList(StorageLocation storageLocation);
    List<StorageLocation> selectStorageLocationCList(StorageLocation storageLocation);

    /**
     * 录入库位信息
     * @param storageLocation
     * @return
     */
    int addStorageLocation(StorageLocation storageLocation);

    /**
     * 确认完成认领
     * @param materialBhArr
     */
    void confirmStorageLocation(String[] materialBhArr);

    /**
     * 判断已选库位表是否存在库位信息
     * @param materialBh
     * @return
     */
    StorageSelected hasStorageLocation(String materialBh);

    /**
     * 保存至已选库位表
     * @param materialBh
     */
    void saveStorageLocation(@Param("userName") String userName, @Param("materialBh") String materialBh);

    /**
     * 删除已选库位表记录
     * @param userName
     * @param materialBh
     */
    void deleteStorageLocation(@Param("userName") String userName, @Param("materialBh") String materialBh);

    /**
     * 读取已选列表
     * @param userName
     * @return
     */
    List<StorageLocation> selectStorageSelectedLocationAList(String userName);
    List<StorageLocation> selectStorageSelectedLocationBList(String userName);
    List<StorageLocation> selectStorageSelectedLocationCList(String userName);

    /**
     * 读取全部已选列表
     * @return
     */
    List<StorageSelected> selectStorageSelectedLocationList();
}
